=== debian/changelog ===
snap7 (1.4.2+dfsg-1) unstable; urgency=medium

  * Initial packaging for Debian based upon Gijs Molenaar's PPA:
    https://github.com/gijzelaerr/snap7-debian
    https://launchpad.net/~gijzelaar/+archive/ubuntu/snap7
    Closes: #1070244

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 02 May 2024 13:28:13 +0200
