=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS+=hardening=+all

make_opts = DEB_HOST_GNU_CPU=${DEB_HOST_GNU_CPU} DEB_HOST_ARCH_OS=${DEB_HOST_ARCH_OS} \
	    CXX=${DEB_HOST_GNU_TYPE}-g++ LinkerName=$(DEB_HOST_GNU_TYPE)-g++ \
	    SharedObjectLinkerName="${DEB_HOST_GNU_TYPE}-g++ -shared -fPIC -Wl,-soname,libsnap7.so.1"

%:
	dh $@ --sourcedirectory=build/unix

override_dh_auto_build:
	dh_auto_build --sourcedirectory=build/unix -- ${make_opts} all

override_dh_auto_install:
	dh_auto_install --sourcedirectory=build/unix -- ${make_opts}
	mv debian/tmp/usr/lib/libsnap7.so debian/tmp/usr/lib/libsnap7.so.1

execute_after_dh_auto_clean:
	rm -f build/bin/
	rm -rf build/temp/$(DEB_HOST_GNU_CPU)
