=== debian/tests/control ===
Test-Command: cd examples/plain-c/x86_64-linux/ && make all clean
Depends: build-essential, @
