=== debian/watch ===
version=4
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
opts=repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz \
http://sf.net/snap7/snap7-full-@ANY_VERSION@@ARCHIVE_EXT@
